import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject";
import { ERewardType } from "../../enum/ERewardType";
import { IpfsCID } from "../../primitives";
export declare class EarnedReward extends VersionedObject {
    readonly queryCID: IpfsCID;
    readonly name: string;
    readonly image: IpfsCID | null;
    readonly description: string;
    readonly type: ERewardType;
    static CURRENT_VERSION: number;
    constructor(queryCID: IpfsCID, name: string, image: IpfsCID | null, description: string, type: ERewardType);
    getVersion(): number;
}
export declare class EarnedRewardMigrator extends VersionedObjectMigrator<EarnedReward> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): EarnedReward;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=EarnedReward.d.ts.map