import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject";
import { IpfsCID, AdKey, Signature, EVMContractAddress, JsonWebToken } from "../../primitives";
export declare class AdSignature extends VersionedObject {
    consentContractAddress: EVMContractAddress;
    queryCID: IpfsCID;
    adKey: AdKey;
    signature: Signature | JsonWebToken;
    static CURRENT_VERSION: number;
    constructor(consentContractAddress: EVMContractAddress, queryCID: IpfsCID, adKey: AdKey, signature: Signature | JsonWebToken);
    getVersion(): number;
}
export declare class AdSignatureMigrator extends VersionedObjectMigrator<AdSignature> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): AdSignature;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=AdSignature.d.ts.map