import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject";
import { URLString, UnixTimestamp } from "../../primitives";
/**
 * I honestly don't know what we need to collect for clicks. I'm not a data guy. Presumeably,
 * you want to know where you clicked and when you did it.
 */
export declare class ClickData extends VersionedObject {
    url: URLString;
    timestamp: UnixTimestamp;
    element: string;
    static CURRENT_VERSION: number;
    constructor(url: URLString, timestamp: UnixTimestamp, element: string);
    getVersion(): number;
}
export declare class ClickDataMigrator extends VersionedObjectMigrator<ClickData> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): ClickData;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=ClickData.d.ts.map