"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClickDataMigrator = exports.ClickData = void 0;
const VersionedObject_1 = require("../../businessObjects/versioned/VersionedObject");
/**
 * I honestly don't know what we need to collect for clicks. I'm not a data guy. Presumeably,
 * you want to know where you clicked and when you did it.
 */
class ClickData extends VersionedObject_1.VersionedObject {
    constructor(url, timestamp, element) {
        super();
        this.url = url;
        this.timestamp = timestamp;
        this.element = element;
    }
    getVersion() {
        return ClickData.CURRENT_VERSION;
    }
}
exports.ClickData = ClickData;
ClickData.CURRENT_VERSION = 1;
class ClickDataMigrator extends VersionedObject_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return ClickData.CURRENT_VERSION;
    }
    factory(data) {
        return new ClickData(data["url"], data["timestamp"], data["element"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.ClickDataMigrator = ClickDataMigrator;
//# sourceMappingURL=ClickData.js.map