"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomainCredentialMigrator = exports.DomainCredential = void 0;
const RSAKeyPair_js_1 = require("../../businessObjects/RSAKeyPair.js");
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class DomainCredential extends VersionedObject_js_1.VersionedObject {
    constructor(domain, id, key) {
        super();
        this.domain = domain;
        this.id = id;
        this.key = key;
    }
    getVersion() {
        return DomainCredential.CURRENT_VERSION;
    }
}
exports.DomainCredential = DomainCredential;
DomainCredential.CURRENT_VERSION = 1;
class DomainCredentialMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return DomainCredential.CURRENT_VERSION;
    }
    // Need the any because I have a nested object
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    factory(data) {
        return new DomainCredential(data["domain"], data["id"], new RSAKeyPair_js_1.RSAKeyPair(data["key"]["privateKey"], data["key"]["publicKey"]));
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.DomainCredentialMigrator = DomainCredentialMigrator;
//# sourceMappingURL=DomainCredential.js.map