import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject";
import { EChain } from "../../enum";
import { AccountAddress, EVMAccountAddress } from "../../primitives";
export declare class LinkedAccountMigrator extends VersionedObjectMigrator<LinkedAccount> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): LinkedAccount;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
export declare class LinkedAccount extends VersionedObject {
    sourceChain: EChain;
    sourceAccountAddress: AccountAddress;
    derivedAccountAddress: EVMAccountAddress;
    static CURRENT_VERSION: number;
    constructor(sourceChain: EChain, sourceAccountAddress: AccountAddress, derivedAccountAddress: EVMAccountAddress);
    getVersion(): number;
}
//# sourceMappingURL=LinkedAccount.d.ts.map