"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkedAccount = exports.LinkedAccountMigrator = void 0;
const VersionedObject_1 = require("../../businessObjects/versioned/VersionedObject");
class LinkedAccountMigrator extends VersionedObject_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return LinkedAccount.CURRENT_VERSION;
    }
    factory(data) {
        return new LinkedAccount(data["sourceChain"], data["sourceAccountAddress"], data["derivedAccountAddress"]);
    }
    getUpgradeFunctions() {
        return new Map([
        // [
        //   1,
        //   (data, version) => {
        //     data["foo"] = 0;
        //     return data;
        //   },
        // ],
        ]);
    }
}
exports.LinkedAccountMigrator = LinkedAccountMigrator;
class LinkedAccount extends VersionedObject_1.VersionedObject {
    constructor(sourceChain, sourceAccountAddress, derivedAccountAddress) {
        super();
        this.sourceChain = sourceChain;
        this.sourceAccountAddress = sourceAccountAddress;
        this.derivedAccountAddress = derivedAccountAddress;
    }
    getVersion() {
        return LinkedAccount.CURRENT_VERSION;
    }
}
exports.LinkedAccount = LinkedAccount;
LinkedAccount.CURRENT_VERSION = 1;
// export class LinkedAccountV1 extends VersionedObject {
//   public constructor(
//     public sourceChain: EChain,
//     public sourceAccountAddress: AccountAddress,
//     public derivedAccountAddress: EVMAccountAddress,
//   ) {
//     super();
//   }
//   public getVersion(): number {
//     return 1;
//   }
// }
//# sourceMappingURL=LinkedAccount.js.map