"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PolygonTransaction = exports.EPolygonTransactionType = void 0;
const EVMTransaction_1 = require("../../businessObjects/versioned/EVMTransaction");
var EPolygonTransactionType;
(function (EPolygonTransactionType) {
    EPolygonTransactionType[EPolygonTransactionType["ERC20"] = 0] = "ERC20";
    EPolygonTransactionType[EPolygonTransactionType["ERC721"] = 1] = "ERC721";
    EPolygonTransactionType[EPolygonTransactionType["ERC1155"] = 2] = "ERC1155";
})(EPolygonTransactionType = exports.EPolygonTransactionType || (exports.EPolygonTransactionType = {}));
class PolygonTransaction extends EVMTransaction_1.EVMTransaction {
    constructor(chainId, hash, timestamp, blockHeight, to, from, value, gasPrice, contractAddress, tokenId, type) {
        super(chainId, hash, timestamp, blockHeight, to, from, value, gasPrice, contractAddress, null, null, null, null);
        this.chainId = chainId;
        this.hash = hash;
        this.timestamp = timestamp;
        this.blockHeight = blockHeight;
        this.to = to;
        this.from = from;
        this.value = value;
        this.gasPrice = gasPrice;
        this.contractAddress = contractAddress;
        this.tokenId = tokenId;
        this.type = type;
    }
}
exports.PolygonTransaction = PolygonTransaction;
//# sourceMappingURL=PolygonTransaction.js.map