import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject";
import { URLString, DomainName, UnixTimestamp } from "../../primitives";
/**
 * Represents a visit to a particular Url
 */
export declare class SiteVisit extends VersionedObject {
    url: URLString;
    startTime: UnixTimestamp;
    endTime: UnixTimestamp;
    static CURRENT_VERSION: number;
    domain: DomainName | undefined;
    constructor(url: URLString, startTime: UnixTimestamp, endTime: UnixTimestamp);
    getVersion(): number;
}
export declare class SiteVisitMigrator extends VersionedObjectMigrator<SiteVisit> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): SiteVisit;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=SiteVisit.d.ts.map