"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenInfoMigrator = exports.TokenInfo = void 0;
const VersionedObject_1 = require("../../businessObjects/versioned/VersionedObject");
class TokenInfo extends VersionedObject_1.VersionedObject {
    constructor(id, symbol, name, chain, address, decimals) {
        super();
        this.id = id;
        this.symbol = symbol;
        this.name = name;
        this.chain = chain;
        this.address = address;
        this.decimals = decimals;
    }
    getVersion() {
        return TokenInfo.CURRENT_VERSION;
    }
}
exports.TokenInfo = TokenInfo;
TokenInfo.CURRENT_VERSION = 1;
class TokenInfoMigrator extends VersionedObject_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return TokenInfo.CURRENT_VERSION;
    }
    factory(data) {
        return new TokenInfo(data["id"], data["symbol"], data["name"], data["chain"], data["address"], data["decimals"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.TokenInfoMigrator = TokenInfoMigrator;
//# sourceMappingURL=TokenInfo.js.map