"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidRegularExpression = exports.ParsingError = exports.ReturnNotImplementedError = exports.EvalNotImplementedError = exports.DuplicateIdInSchema = exports.MissingRequiredFieldError = exports.MissingTokenConstructorError = exports.ParserError = exports.EvaluationError = exports.URLExpectedError = exports.ListExpectedError = exports.StringExpectedError = exports.NumberExpectedError = exports.BooleanExpectedError = exports.ConditionOperandTypeError = exports.OperandTypeError = void 0;
class OperandTypeError extends TypeError {
    constructor(message) {
        super(message);
    }
}
exports.OperandTypeError = OperandTypeError;
class ConditionOperandTypeError extends OperandTypeError {
}
exports.ConditionOperandTypeError = ConditionOperandTypeError;
class BooleanExpectedError extends OperandTypeError {
}
exports.BooleanExpectedError = BooleanExpectedError;
class NumberExpectedError extends OperandTypeError {
}
exports.NumberExpectedError = NumberExpectedError;
class StringExpectedError extends OperandTypeError {
}
exports.StringExpectedError = StringExpectedError;
class ListExpectedError extends OperandTypeError {
}
exports.ListExpectedError = ListExpectedError;
class URLExpectedError extends OperandTypeError {
}
exports.URLExpectedError = URLExpectedError;
class EvaluationError extends Error {
}
exports.EvaluationError = EvaluationError;
class ParserError extends Error {
    constructor(position, message) {
        super(`${position}: ${message}`);
    }
}
exports.ParserError = ParserError;
class MissingTokenConstructorError extends Error {
    constructor(name) {
        super(`No Token type constructor defined for ${name}`);
    }
}
exports.MissingTokenConstructorError = MissingTokenConstructorError;
class MissingRequiredFieldError extends Error {
    constructor(name) {
        super(`${name} not implemented`);
    }
}
exports.MissingRequiredFieldError = MissingRequiredFieldError;
class DuplicateIdInSchema extends Error {
    constructor(name) {
        super(`${name} already exists in the parser context`);
    }
}
exports.DuplicateIdInSchema = DuplicateIdInSchema;
class EvalNotImplementedError extends Error {
    constructor(name) {
        super(`${name} not implemented`);
    }
}
exports.EvalNotImplementedError = EvalNotImplementedError;
class ReturnNotImplementedError extends Error {
    constructor(name) {
        super(`Return type for ${name} not implemented`);
    }
}
exports.ReturnNotImplementedError = ReturnNotImplementedError;
class ParsingError extends Error {
}
exports.ParsingError = ParsingError;
class InvalidRegularExpression extends Error {
}
exports.InvalidRegularExpression = InvalidRegularExpression;
//# sourceMappingURL=sdqlExceptions.js.map